Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When querying an issue with the REST API (http://www.redmine.org/projects/redmine/wiki/Rest_Issues#Showing-an-issue) the value

returned for spent_hours does not include the sum of the spent_hours of the subtasks.

This behaviour is different to estimated_time (which does show the sum of the estimates of the subtasks)

It would also be good to return spent hours when listing all Redmine issues (

http://www.redmine.org/projects/redmine/wiki/Rest_Issues#Listing-issues)

Related issues:

Is duplicate of Redmine - Feature #21757: Add Total spent hours and Estimated... Closed

History

#1 - 2013-08-20 02:57 - David Spackman

- File Spent_hours_API_Patch.diff added

For my use I did the follow quick fix

Added a new value to the API for (GET /issues/[id].[format]) to return

total_spent_hours : Total hours spent on including sum of the spent_hours of the subtasks

Also added a new value to the API for (GET /issues.[format]) to return

spent_hours : Hours spent on the parent task

total_spent_hours : Total hours spent on including sum of the spent_hours of the subtasks

#2 - 2016-03-24 15:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #21757, will be available as of Redmine 3.3.0.

#3 - 2016-03-24 15:35 - Go MAEDA

- Is duplicate of Feature #21757: Add Total spent hours and Estimated hours to the REST API response added

Files

Spent_hours_API_Patch.diff 1.09 KB 2013-08-20 David Spackman

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.redmine.org/projects/redmine/wiki/Rest_Issues#Showing-an-issue
http://www.redmine.org/projects/redmine/wiki/Rest_Issues#Listing-issues
https://www.redmine.org/issues/21757
http://www.tcpdf.org

